<%@page import="com.proliferay.servicebuilder.service.BlobDemoLocalServiceUtil"%>
<%@ taglib uri="http://java.sun.com/portlet_2_0" prefix="portlet"%>
<%@ taglib uri="http://liferay.com/tld/aui" prefix="aui"%>
<%@ taglib uri="http://liferay.com/tld/ui" prefix="liferay-ui"%>

<portlet:defineObjects />
<portlet:actionURL var='uploadURL' name="upload" />


<aui:form name="fm" action="<%=uploadURL.toString()%>" method="post" enctype="multipart/form-data">
	<aui:input name="file" type="file" />
	<aui:button type="submit" value="Upload" />
</aui:form>

<liferay-ui:search-container
	emptyResultsMessage="There is no data to display">
	<liferay-ui:search-container-results
		results="<%=BlobDemoLocalServiceUtil.getBlobDemos(
						searchContainer.getStart(), searchContainer.getEnd())%>"
		total="<%= BlobDemoLocalServiceUtil.getBlobDemosCount() %>" />

	<liferay-ui:search-container-row
		className="com.proliferay.servicebuilder.model.BlobDemo"
		modelVar="aBlobDemo">

		<portlet:resourceURL var="viewURL">
			<portlet:param name="dataId"
				value="<%=String.valueOf(aBlobDemo.getBlobId())%>" />
		</portlet:resourceURL>
		
		<liferay-ui:search-container-column-text
			value="<%=String.valueOf(row.getPos() + 1)%>" name="Serial No" />
		<liferay-ui:search-container-column-text  href="<%=viewURL.toString() %>" property="name" name="File Name"  />
		<liferay-ui:search-container-column-jsp path="/action.jsp"
			align="right" />

	</liferay-ui:search-container-row>

	<liferay-ui:search-iterator />
</liferay-ui:search-container>
